# Update rvm
sudo apt-get install gnupg2 -y
gpg2 --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3
rvm get stable --auto
rvm install 2.4.3
rvm use 2.4.3 # --default
rvm rubygems current
rvm gemset create mgo
rvm use ruby-2.4.3@mgo #--default

# set rvm for current project
gem update --system

#Create new Gem
bundle gem mgo
rvm --rvmrc ruby-2.4.3@mgo
bundle install

#init Rspec
rspec --init
#Run Rspec
rspec spec

# Credential rubygem.org to deploy gem
curl -u sareuon https://rubygems.org/api/v1/api_key.yaml > ~/.gem/credentials; chmod 0600 ~/.gem/credentials
#Build gem
gem build mgo.gemspec
gem push mgo-0.1.0.gem

#Install Node 6
sudo apt-get remove --purge node
curl -sL https://deb.nodesource.com/setup_6.x | sudo bash -
sudo apt-get update
sudo apt-get install nodejs
sudo npm update -g

node -v
npm -v

# npm run build-bundle